import type {NaNType} from './type.ts'

export type BinaryPredicate<T> = (a: T, b: T) => boolean

declare module "./type" {
   interface CommonInterface<T, Aux> {
      equal:   BinaryPredicate<T>
      unequal: BinaryPredicate<T>
      isnan:   (a: T | NaNType<T>) => a is NaNType<T>
   }
}
